| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiPython::Bindings::PyAlgorithm Class Reference

List of all members.

## Detailed Description

Definition at line 907 of file Bindings.py.

## Public Member Functions
def | __init__
def | __del__
def | initialize
def | start
def | execute
def | stop
def | finalize
def | beginRun
def | endRun
## Private Attributes
| _svcloc
| _algmgr

## Member Function Documentation

def GaudiPython::Bindings::PyAlgorithm::__init__ | ( |  | self,
|  |  | name = `None` |
| ) |  |  |

Definition at line 908 of file Bindings.py.

    00908                                 :
    00909     if not name : name = self.__class__.__name__
    00910     _PyAlgorithm.__init__(self, self, name)
    00911     self._svcloc = gbl.Gaudi.svcLocator()
    00912     self._algmgr = InterfaceCast(gbl.IAlgManager)(self._svcloc)
    00913     sc = self._algmgr.addAlgorithm(self)
    00914     if sc.isFailure() : raise RuntimeError, 'Unable to add Algorithm'
      def __del__(self):

def GaudiPython::Bindings::PyAlgorithm::__del__ | ( |  | self | ) |

Definition at line 915 of file Bindings.py.

    00915                    :
    00916     sc = self._algmgr.removeAlgorithm(self)
    00917     if sc.isFailure() : pass
      def initialize(self) : return 1

def GaudiPython::Bindings::PyAlgorithm::initialize | ( |  | self | ) |

Definition at line 918 of file Bindings.py.

    00918 : return 1

def GaudiPython::Bindings::PyAlgorithm::start | ( |  | self | ) |

Definition at line 919 of file Bindings.py.

    00919 : return 1

def GaudiPython::Bindings::PyAlgorithm::execute | ( |  | self | ) |

Definition at line 920 of file Bindings.py.

    00920 : return 1

def GaudiPython::Bindings::PyAlgorithm::stop | ( |  | self | ) |

Definition at line 921 of file Bindings.py.

    00921 : return 1

def GaudiPython::Bindings::PyAlgorithm::finalize | ( |  | self | ) |

Definition at line 922 of file Bindings.py.

    00922 : return 1

def GaudiPython::Bindings::PyAlgorithm::beginRun | ( |  | self | ) |

Definition at line 923 of file Bindings.py.

    00923 : return 1

def GaudiPython::Bindings::PyAlgorithm::endRun | ( |  | self | ) |

Definition at line 924 of file Bindings.py.

    00924                    : return 1
    00925
    00926
    00927
    00928 #----Install exit handler-------------------------------------------------------------

## Member Data Documentation

GaudiPython::Bindings::PyAlgorithm::_svcloc`[private]`

Definition at line 911 of file Bindings.py.

GaudiPython::Bindings::PyAlgorithm::_algmgr`[private]`

Definition at line 912 of file Bindings.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiPython/python/GaudiPython/Bindings.py